package repository

import (
	"git.chillcy.com/golang/colorway/internal/pkg/database/model"
	"gorm.io/gorm"
)

type CategoryInterface interface {
	BaseInterface
}

type Category struct {
	*Base[model.Category]
}

func NewCategory(db *gorm.DB) *Category {
	return &Category{
		Base: NewBase[model.Category](db),
	}
}
