package model

import "gorm.io/gorm"

type Category struct {
	gorm.Model
	Code  string `gorm:"uniqueIndex; size:50"`
	Name  string `gorm:"size:50"`
	Level int    `gorm:"not null"`
}

type Categories []Category
